package com.gic.finance.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.finance.dto.PayAccountDTO;

import java.util.List;
/**
 * 打款户接口
 * @ClassName: PayAccountApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/29 2:22 PM 
 */
public interface PayAccountApiService {

    /**
     * 新增打款户信息
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> save(PayAccountDTO dto);

    /**
     * 编辑保存
     * @Title: update 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> update(PayAccountDTO dto);
    /**
     * 删除
     * @Title: delete 
     * @Description:
      * @author guojuxing
     * @param id 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> delete(Integer id);

    /**
     * 拖拽排序
     * @Title: setSort 
     * @Description:
      * @author guojuxing
     * @param id
     * @param sort 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> setSort(Integer id, Integer sort);

    /**
     * 上移排序
     * @Title: upSort 
     * @Description:
      * @author guojuxing
     * @param id 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> upSort(Integer id);

    /**
     * 下移排序
     * @Title: downSort 
     * @Description:
      * @author guojuxing
     * @param id 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
      */
    ServiceResponse<Void> downSort(Integer id);

    /**
     * 根据主键查询数据
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param id 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.finance.dto.PayAccountDTO> 
      */
    ServiceResponse<PayAccountDTO> getById(Integer id);

    /**
     * 列表查询
     * @Title: listPayAccount 
     * @Description:
      * @author guojuxing  
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.finance.dto.PayAccountDTO>> 
      */
    ServiceResponse<List<PayAccountDTO>> listPayAccount();
}
